/* ___________________________________________________________________________
** |*************************************************************************|
** |*||*||*|
** |*| Set TAB to 4 for best readable file layout.  |*|  C++ MaxonDev 4.0  |*|
** |*|______________________________________________|*|____________________|*|
** |*************************************************************************|
** |*||*||*|
** |*|               |*|  $Id: rhosigma.h (30.05.04)                       |*|
** |*| ###### ###### |*|  RhoSigma Source based on NDK 3.1 Includes 40.15  |*|
** |*| ##  ## ##   # |*| _________________________________________________ |*|
** |*| ##  ##  ##    |*|                                                   |*|
** |*| ######   ##   |*|  Protos & defines of rhosigma.lib linker library  |*|
** |*| ##      ##    |*|                                                   |*|
** |*| ##     ##   # |*|  |*|
** |*| ##     ###### |*|  Copyright  1998-2004 RhoSigma, Roland Heyder    |*|
** |*|               |*|  All Rights Reserved.                             |*|
** |*|_______________|*|___________________________________________________|*|
** |*************************************************************************|
** 
*/

#ifndef		RHOSIGMA_H
#define		RHOSIGMA_H

#ifndef		EXEC_TYPES_H
#include	<exec/types.h>
#endif

/*
** --------------------------------------
** Stubs fr Funktionen der extra.library
** --------------------------------------
*/

#ifndef		CLIB_EXTRA_PROTOS_H
#include	<rhosigma/extra_protos.h>
#endif

/*
** -----------------------------------------
** Zu RhoSigma-Includes gehrende Funktionen
** -----------------------------------------
*/

#ifdef __cplusplus
extern "C" {
#endif

/* siehe settings.h */
VOID DAJOIN(UWORD Count, ...);

/* siehe extradefs.h */
VOID SMTJOIN(UWORD Count, ...);

/*
** ---------------------------------------------
** Ab hier folgen unabhngige Support-Funktionen
** ---------------------------------------------
*/

/* Funktionen fr einfachen Device-IO */
APTR GetIOReq(UWORD Size);
APTR CopyIOReq(APTR OrigReq);
VOID FreeIOReq(APTR IOReq);
BYTE DoCMD(APTR IOReq,UWORD Comm);
VOID SendCMD(APTR IOReq,UWORD Comm);
BYTE WaitCMD(APTR IOReq);

#ifdef __cplusplus
}
#endif

#endif	/* RHOSIGMA_H */

